org.red5.server.api.stream

## Interface IStreamPublishSecurity

All Known Implementing Classes:
  DenyAllStreamAccess

    public interface IStreamPublishSecurity

Interface for handlers that control access to stream publishing.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

### Method Summary

Methods
`boolean` `isPublishAllowed(IScope scope, String name, String mode)` Check if publishing a stream with the given name is allowed.

### Method Detail

#### isPublishAllowed

    boolean isPublishAllowed(IScope scope,
                           String name,
                           String mode)

Check if publishing a stream with the given name is allowed.

Parameters:
  `scope` - Scope the stream is about to be published in.
  `name` - Name of the stream to publish.
  `mode` - Publishing mode.
Returns:
  `True` if publishing is allowed, otherwise `False`